import { combineReducers } from 'redux';
import expanded from './expanded';
import params from './params';
import selectedIds from './selectedIds';

const defaultReducer = () => null;

export default combineReducers({
    /**
     * ts-jest does some aggressive module mocking when unit testing reducers individually.
     * To avoid 'No reducer provided for key "..."' warnings,
     * we pass default reducers. Sorry for legibility.
     *
     * @see https://stackoverflow.com/questions/43375079/redux-warning-only-appearing-in-tests
     */
    expanded: expanded || defaultReducer,
    params: params || defaultReducer,
    selectedIds: selectedIds || defaultReducer,
});
